import { defineConfig } from "vite";
export default defineConfig({
  build: {
    outDir: "web/static",
    emptyOutDir: false,
    rollupOptions: {
      input: "web/src/main.ts",
      output: {
        entryFileNames: "main.js",
        manualChunks: () => {
          return "everything";
        },
      },
    },
    target: "es2020",
    sourcemap: true,
    minify: "esbuild",
  },
});
